"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.shouldShowHelp = exports.showHelp = void 0;
const getUsage = require('command-line-usage');
const packageInfo = require('../package.json');
const options_1 = require("./options");
const helpSections = [
    {
        header: `Mongo Seeding CLI ${packageInfo.version}`,
        content: packageInfo.description,
    },
    {
        header: 'Example usage',
        content: [
            '$ {bold seed}',
            '$ {bold seed ./seed-data/}',
            '$ {bold seed -u `mongodb://127.0.0.1:27017/mydbname` --drop-database --replace-id}',
            '$ {bold seed -u `mongodb://127.0.0.1:27017/mydbname` --replace-id /absolute/path/}',
        ],
    },
    {
        header: 'Parameters',
        optionList: options_1.cliOptions,
    },
    {
        content: `GitHub: {underline ${packageInfo.repository.url}}`,
    },
];
const showHelp = () => {
    console.log(getUsage(helpSections));
};
exports.showHelp = showHelp;
const shouldShowHelp = (options) => {
    return options.help;
};
exports.shouldShowHelp = shouldShowHelp;
//# sourceMappingURL=help.js.map